Package org.codehaus.groovy.ast.expr

# Class FieldExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.FieldExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

public class FieldExpression extends Expression
Represents a field access such as the expression "this.foo".

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldExpression(FieldNode field)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldNode`
  `getField()`
  `String`
  `getFieldName()`
  `String`
  `getText()`
  `ClassNode`
  `getType()`
  `boolean`
  `isDynamicTyped()`
  `boolean`
  `isUseReferenceDirectly()`
  `void`
  `setType(ClassNode type)`
  `void`
  `setUseReferenceDirectly(boolean useRef)`
  `String`
  `toString()`
  `Expression`
  `transformExpression(ExpressionTransformer transformer)`
  Transforms this expression and any nested expressions.
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### FieldExpression

    public FieldExpression(FieldNode field)

- ## Method Details

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)
    Description copied from class: `Expression`
    Transforms this expression and any nested expressions.
    Specified by:
      `transformExpression` in class `Expression`

  - ### getField

    public FieldNode getField()

  - ### getFieldName

    public String getFieldName()

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`

  - ### getType

    public ClassNode getType()
    Overrides:
      `getType` in class `Expression`

  - ### setType

    public void setType(ClassNode type)
    Overrides:
      `setType` in class `Expression`

  - ### isDynamicTyped

    public boolean isDynamicTyped()

  - ### isUseReferenceDirectly

    public boolean isUseReferenceDirectly()

  - ### setUseReferenceDirectly

    public void setUseReferenceDirectly(boolean useRef)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`